%define snapshot 20141015
%define subrel  1
%define rel     2

Name:           performous
Version:        0.8.0
Release:        %mkrel -c %{snapshot} %{rel}
License:        GPLv3+
Summary:        Open-source karaoke game that allows user supplied songs
Url:            http://performous.org
Group:          Games/Other
# Snapshot of the git repository, minus this pull request which prevents building with our current ffmpeg
# (missing libavresample) https://github.com/performous/performous/pull/95
Source0:        %{name}-%{version}-git%{snapshot}.tar.xz
Source1:        https://download.sourceforge.net/performous/ultrastar-songs-libre-3.zip

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  ffmpeg-devel
BuildRequires:  help2man
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  portmidi-devel

%description
An open-source karaoke, band and dancing game where one or more players perform
a song and the game scores their performances. Supports songs in UltraStar, 
Frets on Fire and StepMania formats.

%prep
%setup -q -n %{name}-%{version}-git%{snapshot}

%build
%cmake -DCMAKE_SKIP_RPATH=TRUE \
       -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE
%make

%install
%makeinstall_std -C build

install -d %{buildroot}%{_iconsdir}/hicolor/scalable/apps
mv %{buildroot}%{_datadir}/pixmaps/%{name}.svg \
   %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mv %{buildroot}%{_bindir} %{buildroot}%{_gamesbindir}

# add songs-libre
unzip %{SOURCE1} -d %{buildroot}%{_gamesdatadir}/%{name}

%find_lang Performous

%files -f Performous.lang
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/gh*.1*
%{_mandir}/man1/ss*.1*
%{_mandir}/man6/%{name}.6*


%changelog
* Tue Jun 21 2016 shlomif <shlomif> 0.8.0-0.20141015.2.1.mga5
+ Revision: 1037107
- Rebuild for the new libMagick++

* Fri Nov 14 2014 akien <akien> 0.8.0-0.20141015.2.mga5
+ Revision: 797024
- Rebuild for ffmpeg 2.4

* Fri Oct 24 2014 akien <akien> 0.8.0-0.20141015.1.mga5
+ Revision: 792946
- Update to a snapshot of the 0.8.0 dev branch

  + gregorybravas <gregorybravas>
    - change description and summary
    - change build require  sigc++2.0-devel
    - update to 0.7.0
    - update to 0.7
    - add ultrastar-songs
    - initial package
    - imported package performous

